# Uses of Interface
java.lang.classfile.ClassTransform

Packages that use ClassTransform
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassTransform in java.lang.classfile

Subinterfaces with type arguments of type ClassTransform in java.lang.classfile
Modifier and Type
Interface
Description
`interface`
`ClassTransform`
A transformation on streams of `ClassElement`.
Fields in java.lang.classfile declared as ClassTransform
Modifier and Type
Field
Description
`static final ClassTransform`
ClassTransform.`ACCEPT_ALL`
A class transform that passes all elements to the builder.
Methods in java.lang.classfile that return ClassTransform
Modifier and Type
Method
Description
`default ClassTransform`
ClassTransform.`andThen(ClassTransform t)`
`static ClassTransform`
ClassTransform.`dropping(Predicate<ClassElement> filter)`
Creates a class transform that passes each element through to the builder, except for those that the supplied `Predicate` returns true for.
`static ClassTransform`
ClassTransform.`endHandler(Consumer<ClassBuilder> finisher)`
Creates a class transform that passes each element through to the builder, and calls the specified function when transformation is complete.
`static ClassTransform`
ClassTransform.`ofStateful(Supplier<ClassTransform> supplier)`
Creates a stateful class transform from a `Supplier`.
`static ClassTransform`
ClassTransform.`transformingFields(FieldTransform xform)`
Creates a class transform that transforms `FieldModel` elements with the supplied field transform, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethodBodies(CodeTransform xform)`
Creates a class transform that transforms the `CodeAttribute` (method body) of `MethodModel` elements with the supplied code transform, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethodBodies(Predicate<MethodModel> filter, CodeTransform xform)`
Creates a class transform that transforms the `CodeAttribute` (method body) of `MethodModel` elements with the supplied code transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethods(MethodTransform xform)`
Creates a class transform that transforms `MethodModel` elements with the supplied method transform, passing other elements through to the builder.
`static ClassTransform`
ClassTransform.`transformingMethods(Predicate<MethodModel> filter, MethodTransform xform)`
Creates a class transform that transforms `MethodModel` elements with the supplied method transform for methods that the supplied `Predicate` returns true for, passing other elements through to the builder.
Methods in java.lang.classfile with parameters of type ClassTransform
Modifier and Type
Method
Description
`default ClassTransform`
ClassTransform.`andThen(ClassTransform t)`
`default byte[]`
ClassFile.`transformClass(ClassModel model, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`byte[]`
ClassFile.`transformClass(ClassModel model, ClassEntry newClassName, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
`default byte[]`
ClassFile.`transformClass(ClassModel model, ClassDesc newClassName, ClassTransform transform)`
Transform one `class` file into a new `class` file according to a `ClassTransform`.
Method parameters in java.lang.classfile with type arguments of type ClassTransform
Modifier and Type
Method
Description
`static ClassTransform`
ClassTransform.`ofStateful(Supplier<ClassTransform> supplier)`
Creates a stateful class transform from a `Supplier`.